Package com.independentsoft.graph.mails

# Class MessageRuleActions

java.lang.Object
com.independentsoft.graph.mails.MessageRuleActions

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class MessageRuleActions extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageRuleActions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAssignCategories()`
  `String`
  `getCopyToFolder()`
  `List<EmailAddress>`
  `getForwardAsAttachmentTo()`
  `List<EmailAddress>`
  `getForwardTo()`
  `Importance`
  `getMarkImportance()`
  `String`
  `getMoveToFolder()`
  `List<EmailAddress>`
  `getRedirectTo()`
  `boolean`
  `isDelete()`
  `boolean`
  `isMarkAsRead()`
  `boolean`
  `isPermanentDelete()`
  `boolean`
  `isStopProcessingRules()`
  `void`
  `markAsRead​(boolean markAsRead)`
  `void`
  `setAsDelete​(boolean isDelete)`
  `void`
  `setAsPermanentDelete​(boolean isPermanentDelete)`
  `void`
  `setCopyToFolder​(String copyToFolder)`
  `void`
  `setMarkImportance​(Importance markImportance)`
  `void`
  `setMoveToFolder​(String moveToFolder)`
  `void`
  `stopProcessingRules​(boolean stopProcessingRules)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageRuleActions

    public MessageRuleActions()

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getAssignCategories

    public List<String> getAssignCategories()

  - ### getCopyToFolder

    public String getCopyToFolder()

  - ### setCopyToFolder

    public void setCopyToFolder​(String copyToFolder)

  - ### isDelete

    public boolean isDelete()

  - ### setAsDelete

    public void setAsDelete​(boolean isDelete)

  - ### getForwardAsAttachmentTo

    public List<EmailAddress> getForwardAsAttachmentTo()

  - ### getForwardTo

    public List<EmailAddress> getForwardTo()

  - ### isMarkAsRead

    public boolean isMarkAsRead()

  - ### markAsRead

    public void markAsRead​(boolean markAsRead)

  - ### getMarkImportance

    public Importance getMarkImportance()

  - ### setMarkImportance

    public void setMarkImportance​(Importance markImportance)

  - ### getMoveToFolder

    public String getMoveToFolder()

  - ### setMoveToFolder

    public void setMoveToFolder​(String moveToFolder)

  - ### isPermanentDelete

    public boolean isPermanentDelete()

  - ### setAsPermanentDelete

    public void setAsPermanentDelete​(boolean isPermanentDelete)

  - ### getRedirectTo

    public List<EmailAddress> getRedirectTo()

  - ### isStopProcessingRules

    public boolean isStopProcessingRules()

  - ### stopProcessingRules

    public void stopProcessingRules​(boolean stopProcessingRules)